$blue: #3F5975;
$green: #39DA8A;
$cyan: #00CFDD;
$purple: #9D7BD8;
$yellow: #FF9800;
$red: #E51C23;
$silver: #F9F9F9;
$border: #E1E1E1;
$secondary: #5A8DEE;
$light: #F2F4F4;

$theme-colors: ("lightblue": #D5E5FA,
    "silverblue": #f4f6f8,
    "texts": #727E8C,
    "gray-dark": #1E3F5D);

$body-color: $blue;

$link-color: $secondary;

$font-family-sans-serif: "Roboto", sans-serif;

@import "../node_modules/bootstrap/scss/bootstrap.scss";

.btn-success,
.btn-warning,
.btn-purple,
.btn-facebook,
.btn-google,
.btn-success.disabled,
.btn-warning.disabled,
.btn-purple.disabled,
.btn-facebook.disabled,
.btn-google.disabled {
    color: $white;
}

.btn-secondary {
    @include button-variant(lighten($secondary, 25%), lighten($secondary, 25%), $secondary, lighten($secondary, 5%), lighten($secondary, 10%), $secondary);
    color: $secondary;
}

.btn-light {
    @include button-variant($silver, $border, darken($silver, 10%), lighten($border, 5%), lighten($silver, 10%), darken($border, 30%));
    color: $blue;
}

.btn-outline-light {
    @include button-outline-variant($blue, color-yiq($blue), $border, $border);
}

.btn-purple {
    @include button-variant($purple, darken($purple, 7.5%), darken($purple, 10%), lighten($purple, 5%), lighten($purple, 10%), darken($purple, 30%));
}

.btn-outline-purple {
    @include button-outline-variant($purple, color-yiq($purple), $purple, $purple);
}

.btn-google {
    @include button-variant(#ea4435, darken(#ea4435, 7.5%), darken(#ea4435, 10%), lighten(#ea4435, 5%), lighten(#ea4435, 10%), darken(#ea4435, 30%));
}

.btn-facebook {
    @include button-variant(#3b5998, darken(#3b5998, 7.5%), darken(#3b5998, 10%), lighten(#3b5998, 5%), lighten(#3b5998, 10%), darken(#3b5998, 30%));
}


.btn-navpills {
    background-color: lighten($secondary, 25%);
    color: darken($secondary, 10%);
    border: none;
}

.btn-navpills.ok {
    background-color: darken($light, 9%);
    color: $secondary;
    border: none;
}

.btn-navpills.active, .btn-navpills:hover {
    background-color: $cyan;
    color: $light;
    border: none;
}

.btn-navpills.disabled {
    background-color: darken($light, 7.5%);
    color: darken($light, 35%);
    border: none;
}

.custom-control-input:checked~.custom-control-label::before {
    border-color: $secondary;
    background-color: $secondary;
}

@import url('/fonts/font-face.css');